Subject: Re: [PATCH 04/20] sfc: SFX7101: Remove workaround for bad link training

From: Ben Hutchings <[email-masked]>
Date: Thu, 29 Jan 2009 19:23:31 +0000

On Thu, 2009-01-29 at 19:17 +0000, Ben Hutchings wrote:
> Early versions of the SFX7101 firmware could complete link training in
> a state where it would not adequately cancel noise (Solarflare bug
> 10750).  We previously worked around this by resetting the PHY after
> seeing many Ethernet CRC errors.  This workaround is unsafe since it
> takes no account of the interval between errors; it also appears to
> be unnecessary with production firmware.  Therefore remove it.

Should actually be attributed as:
From: Steve Hodgson <[email-masked]>

Ben.

-- 
Ben Hutchings, Senior Software Engineer, Solarflare Communications
Not speaking for my employer; that's the marketing department's job.
They asked us to note that Solarflare product names are trademarked.